Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.servlet
Class ServerSideIncludeServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              weblogic.servlet.FileServlet
                  weblogic.servlet.ServerSideIncludeServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

public final class ServerSideIncludeServlet
extends FileServlet

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary

Fields inherited from class weblogic.servlet.FileServlet
`context, DEBUG_URL_RES, DEFAULT_MIN_NATIVE, defaultFilename, SORTBY_LAST_MODIFIED, SORTBY_NAME, SORTBY_SIZE`

Constructor Summary
`ServerSideIncludeServlet()`

Method Summary
`protected void` | `handleIncludeTag(PushbackInputStream in, HttpServletRequest req, HttpServletResponse res)`
`protected void` | `handleServletTag(HttpServletRequest req, HttpServletResponse res, PushbackInputStream in, ServletOutputStream out)`
`void` | `service(HttpServletRequest req, HttpServletResponse res)`

Methods inherited from class weblogic.servlet.FileServlet
`findSource, init`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerSideIncludeServlet

    public ServerSideIncludeServlet()

Method Detail

### handleIncludeTag

    protected void handleIncludeTag(PushbackInputStream in,
                                    HttpServletRequest req,
                                    HttpServletResponse res)
                             throws Exception

  Throws:
    `Exception`

### handleServletTag

    protected void handleServletTag(HttpServletRequest req,
                                    HttpServletResponse res,
                                    PushbackInputStream in,
                                    ServletOutputStream out)
                             throws IOException

  Throws:
    `IOException`

### service

    public void service(HttpServletRequest req,
                        HttpServletResponse res)
                 throws IOException

  Overrides:
    `service` in class `FileServlet`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD